Deployments.ai Docs
Memory

Change a memory space grant permission

PATCH /v1/memory-space-grants/{grantId} · SDK updateMemorySpaceGrant · CLI deployments memory-space-grant update

PATCH
/v1/memory-space-grants/{grantId}

Requires memory:admin.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Path Parameters

grantId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-organization?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key?string

Limited to 500 UTF-8 bytes.

Length1 <= length <= 500

Request Body

application/json
  1. body
permission*string
Value in"read""read-write"

Response Body

MemoryObjectResponse

application/json
  1. response
curl -X PATCH "https://example.com/v1/memory-space-grants/string" \  -H "Content-Type: application/json" \  -d '{    "permission": "read"  }'
{}